Summary:	Radio plugin for the Xfce panel
Summary(de):	Radioerweiterung für das Xfce-Panel
Name:		xfce4-radio-plugin
Version:	0.5.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-radio-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfcegui4-devel
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	cairo-devel
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-radio-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%define __libtoolize    /bin/true

%description
This is an Xfce panel plugin which allows you to control your V4l radio device.
You can turn your radio on/off, tune it to some frequency and manage station
presets.

#german
%description -l de
Dies ist ein Xfce Panel-Plugin mit dem Sie Ihr V4l Radiogerät steuern können. 
Sie können Ihr Radio ein-und auszuschalten, eine Frequenz einstellen und die Station 
Presets verwalten.

#french
%description -l fr
Il s'agit d'un plugin panneau Xfce qui vous permet de contrôler votre appareil radio v4l. 
Vous pouvez allumer votre radio en marche / arrêt, tune à une certaine fréquence et de gérer la station 
préréglages.

#spanish
%description -l es
Este es un plugin de panel de Xfce, que le permite controlar el dispositivo de radio v4l. 
Puede encender el radio encendido / apagado, ajustarlo a una cierta frecuencia y gestionar la estación de 
preajustes.

#polish
%description -l pl
This is an Xfce panel plugin which allows you to control your V4l radio device.
You can turn your radio on/off, tune it to some frequency and manage station
presets.

#serbian
%description -l sr
Ово је Ксфце панела додатак који вам омогућава да контролишете свој апарат В4л радију. 
Можете да укључите свој радио / искључивање, подесите га на неких фреквенција и управљање станица 
пресет.

#dutch
%description -l nl
Dit is een Xfce panel plugin die u toestaat om uw v4l radio te bedienen. 
U kunt uw radio aan / uit, stemmen zij tot op zekere frequentie en het beheer van het station 
presets.

%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -lm"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 
 
# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/xfce4/panel-plugins/*.desktop 
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.1-3pclos2015
- rebuild against new libxfce4util7
- add missing "-lm" to LDFLAGS
- add missing BRs

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.5.1-2pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.5.1-2pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.5.1-2pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.5.1-1pclos2012
- update

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 0.4.2-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
